freeslot("sfx_jjbst1") //for the jjbost sound.

addHook("ThinkFrame", do
	for player in players.iterate
		if (player.mo and player.mo.skin == "jetjaw")//jet-jaw only!

			if (player.underwatertimer == nil) //setting underwater timer for jet-jaw.
				player.underwatertimer = 0
			end

			if ((player.mo.eflags & MFE_UNDERWATER) or (player.mo.eflags & MFE_TOUCHWATER)) //underwater/touch water
				player.kartspeed = 8 //go faster when touching water!
				
				if (player.mo.eflags & MFE_UNDERWATER) //if underwater-
				
					if (player.underwatertimer < 10) //just stop somewhere-
						player.underwatertimer = $1 + 1 //timer starts underwater!
					end
				
					if (leveltime % 5 == 0) //every 5 tics!
						P_SpawnMobj(player.mo.x+FixedMul(-28*FRACUNIT, cos(player.mo.angle)), player.mo.y+FixedMul(-28*FRACUNIT, sin(player.mo.angle)), player.mo.z+15*FRACUNIT, MT_MEDIUMBUBBLE) //spawn bubbles!
					end
				
				else
					player.underwatertimer = 0 //underwater timer resets to 0.
				end
			else
				player.kartspeed = 6 //go back to normal speed.
			end
		end
	end
end)